Bug 1419473 - DateTime::Duration 1.39 is broken. Fixed in version 1.42
Summary: DateTime::Duration 1.39 is broken. Fixed in version 1.42
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DateTime
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 09:49 UTC by Andrew Jones
Modified: 2017-02-10 14:21 UTC (History)
4 users (show)

Fixed In Version: perl-DateTime-1.42-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 14:21:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew Jones 2017-02-06 09:49:10 UTC
Description of problem:

Attempting to add a duration causes perl script to die with an unhelpful message

( see https://github.com/houseabsolute/DateTime.pm/issues/50 )

Version-Release number of selected component (if applicable):

$ dnf provides /usr/lib64/perl5/vendor_perl/DateTime/Duration.pm
Last metadata expiration check: 7:20:46 ago on Mon Feb  6 02:40:59 2017.
perl-DateTime-2:1.39-1.fc25.x86_64 : Date and time object for Perl
Repo        : @System

perl-DateTime-2:1.39-1.fc25.x86_64 : Date and time object for Perl
Repo        : fedora


How reproducible:
100%

Steps to Reproduce:
$ perl -Ilib -MDateTime::Duration -e '$a=$b=DateTime::Duration->new(hours=>1, minutes=>0); $a->add($b)'

Actual results:
Expected a hash or hash reference but got a single object argument


Expected results:
No output

Additional info:
The URL shown in 'Description of problem' indicates that Dave Rolsky fixed it in version 1.42

Comment 1 Fedora Update System 2017-02-06 10:46:29 UTC
perl-DateTime-1.42-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f792ec6a2d

Comment 2 Fedora Update System 2017-02-07 02:49:21 UTC
perl-DateTime-1.42-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f792ec6a2d

Comment 3 Fedora Update System 2017-02-10 14:21:01 UTC
perl-DateTime-1.42-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.